igeo.gui

## Class IVectorGraphic

- java.lang.Object
- - igeo.IGraphicObject
  - - igeo.gui.IVectorGraphic

- All Implemented Interfaces:
    IGraphicI, ISubobject

      public class IVectorGraphic
      extends IGraphicObject

  Graphic subobject class to draw a vector with an arrowhead
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IVec` | `arrowHeadNormal`
    `static IVec` | `arrowHeadNormal2`
    `float` | `size`
    `IVectorObject` | `vec`
    `float` | `weight`

    - ### Fields inherited from class igeo.IGraphicObject

      `color, colorRange1f, colorRange1i, colorRange2f, colorRange2i, colorRange3f, colorRange3i, colorRange4f, colorRange4i, parent, update, visible`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IVectorGraphic(IVectorObject v)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(IGraphics g)`
    `float` | `getWeight()` get arrow line weight
    `boolean` | `isDrawable(IGraphicMode m)`
    `void` | `setWeight(float w)` set arrow line weight
    `double` | `size()` get arrow head size
    `void` | `size(double sz)` set arrow head size

    - ### Methods inherited from class igeo.IGraphicObject

      `getAWTColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getHSBColor, getHSBColor, hide, isVisible, parent, parent, setAttribute, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setVisible, show, update, visible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### arrowHeadNormal

          public static IVec arrowHeadNormal

    - #### arrowHeadNormal2

          public static IVec arrowHeadNormal2

    - #### vec

          public IVectorObject vec

    - #### size

          public float size

    - #### weight

          public float weight

  - ### Constructor Detail

    - #### IVectorGraphic

          public IVectorGraphic(IVectorObject v)

  - ### Method Detail

    - #### size

          public void size(double sz)

      set arrow head size

    - #### size

          public double size()

      get arrow head size

    - #### setWeight

          public void setWeight(float w)

      set arrow line weight
      Overrides:
        `setWeight` in class `IGraphicObject`

    - #### getWeight

          public float getWeight()

      get arrow line weight
      Overrides:
        `getWeight` in class `IGraphicObject`

    - #### draw

          public void draw(IGraphics g)

      Specified by:
        `draw` in interface `IGraphicI`
      Specified by:
        `draw` in class `IGraphicObject`

    - #### isDrawable

          public boolean isDrawable(IGraphicMode m)

      Specified by:
        `isDrawable` in interface `IGraphicI`
      Specified by:
        `isDrawable` in class `IGraphicObject`